import type { AnyVersionDeltaObject, AnyVersionHistoryObject, AnyVersionRepositoryObject, Repository } from '../__generated__/graphql';
export type RepositoryModel = Omit<Repository, '__typename'>;
export type AnyVersionHistory = Omit<AnyVersionHistoryObject, '__typename'>;
export type AnyVersionDelta = Omit<AnyVersionDeltaObject, '__typename'>;
export type AnyVersionRepository = Omit<AnyVersionRepositoryObject, '__typename'>;
export interface HistoryTreeNode {
    history: AnyVersionHistory;
    next?: {
        node: HistoryTreeNode;
        delta: AnyVersionDelta;
    }[];
    prev?: {
        node: HistoryTreeNode;
        delta: AnyVersionDelta;
        path?: number[];
    };
    pos?: [number, number];
    order: number;
}
